import { IApiResponse, IDispute } from '..';
export interface IDisputeService {
    fetchDispute(disputeId: string, authToken: string): Promise<IApiResponse<IDispute>>;
    updateDisputeResponse(disputeId: string, authToken: string, payload: any): Promise<IApiResponse<IDispute>>;
    submitDisputeResponse(disputeId: string, authToken: string, payload: any): Promise<IApiResponse<IDispute>>;
    createDisputeEvidence(disputeId: string, authToken: string, payload: string): Promise<IApiResponse<any>>;
}
export declare class DisputeService implements IDisputeService {
    fetchDispute(disputeId: string, authToken: string): Promise<IApiResponse<IDispute>>;
    updateDisputeResponse(disputeId: string, authToken: string, payload: any): Promise<IApiResponse<IDispute>>;
    submitDisputeResponse(disputeId: string, authToken: string, payload: any): Promise<IApiResponse<IDispute>>;
    createDisputeEvidence(disputeId: string, authToken: string, payload: any): Promise<IApiResponse<any>>;
}
